## nibabel 1.0.0

=== Makefile ===
COVERAGE_REPORT=coverage
HTML_DIR=build/html
LATEX_DIR=build/latex
WWW_DIR=build/website
DOCSRC_DIR=doc
SF_USER ?= matthewbrett
#
# The Python executable to be used
#
PYTHON = python
NOSETESTS = $(PYTHON) $(shell which nosetests)

#
# Determine details on the Python/system
#

PYVER := $(shell $(PYTHON) -V 2>&1 | cut -d ' ' -f 2,2 | cut -d '.' -f 1,2)
DISTUTILS_PLATFORM := \
	$(shell \
		$(PYTHON) -c "import distutils.util; print distutils.util.get_platform()")

# Helpers for version handling.
# Note: can't be ':='-ed since location of invocation might vary
DEBCHANGELOG_VERSION = $(shell dpkg-parsechangelog | egrep ^Version | cut -d ' ' -f 2,2 | cut -d '-' -f 1,1)
SETUPPY_VERSION = $(shell $(PYTHON) setup.py -V)
#
# Automatic development version
#
#yields: LastTagName_CommitsSinceThat_AbbrvHash
DEV_VERSION := $(shell git describe --abbrev=4 HEAD |sed -e 's/-/+/g' |cut -d '/' -f 2,2)

# By default we are releasing with setup.py version
RELEASE_VERSION ?= $(SETUPPY_VERSION)

#
# Building
#

all: build

build: 
	$(PYTHON) setup.py config --noisy
	$(PYTHON) setup.py build


#
# Cleaning
#

clean:
	$(MAKE) -C doc clean
	-rm -rf build
	-rm *-stamp

distclean: clean
	-rm MANIFEST
	-rm $(COVERAGE_REPORT)
	@find . -name '*.py[co]' \
		 -o -name '*.a' \
		 -o -name '*,cover' \
		 -o -name '.coverage' \
		 -o -iname '*~' \
		 -o -iname '*.kcache' \
		 -o -iname '*.pstats' \
		 -o -iname '*.prof' \
		 -o -iname '#*#' | xargs -L10 rm -f
	-rm -r dist
	-rm build-stamp
#	-rm tests/data/*.hdr.* tests/data/*.img.* tests/data/something.nii \
#		tests/data/noise* tests/data/None.nii


#
# Little helpers
#

$(WWW_DIR):
	if [ ! -d $(WWW_DIR) ]; then mkdir -p $(WWW_DIR); fi


#
# Tests
#

test: unittest testmanual


ut-%: build
	@PYTHONPATH=.:$(PYTHONPATH) $(NOSETESTS) nibabel/tests/test_$*.py


unittest: build
	@PYTHONPATH=.:$(PYTHONPATH) $(NOSETESTS) nibabel --with-doctest

testmanual: build
# go into data, because docs assume now data dir
	@PYTHONPATH=.:$(PYTHONPATH) $(NOSETESTS) --with-doctest --doctest-extension=.rst doc/source/ doc/source/usecases


coverage: build
	@PYTHONPATH=.:$(PYTHONPATH) $(NOSETESTS) --with-coverage --cover-package=nibabel


#
# Documentation
#

htmldoc: build
	cd $(DOCSRC_DIR) && PYTHONPATH=$(CURDIR) $(MAKE) html


pdfdoc: build
	cd $(DOCSRC_DIR) && PYTHONPATH=$(CURDIR) $(MAKE) latex
	cd $(LATEX_DIR) && $(MAKE) all-pdf


gitwash-update: build
	cd $(DOCSRC_DIR) && PYTHONPATH=$(CURDIR) $(MAKE) gitwash-update


#
# Website
#

website: website-stamp
website-stamp: $(WWW_DIR) htmldoc pdfdoc
	cp -r $(HTML_DIR)/* $(WWW_DIR)
	cp $(LATEX_DIR)/*.pdf $(WWW_DIR)
	touch $@


upload-website: website
	rsync -rzhvp --delete --chmod=Dg+s,g+rw $(WWW_DIR)/* \
		web.sourceforge.net:/home/groups/n/ni/niftilib/htdocs/nibabel/

# This one udates for the specific user named at the top of the makefile
upload-htmldoc: htmldoc upload-htmldoc-$(SF_USER)

upload-htmldoc-%: htmldoc
	rsync -rzhvp --delete --chmod=Dg+s,g+rw $(HTML_DIR)/* \
		$*,nipy@web.sourceforge.net:/home/groups/n/ni/nipy/htdocs/nibabel/

#
# Sources
#

pylint: distclean
	# do distclean first to silence SWIG's sins
	PYTHONPATH=.:$(PYTHONPATH) pylint --rcfile doc/misc/pylintrc nibabel


#
# Distributions
#

# Check either everything was committed
check-nodirty:
	# Need to run in clean tree. If fails: commit or clean first
	[ "x$$(git diff)" = "x" ]
# || $(error "")

check-debian:
	# Need to run in a Debian packaging branch
	[ -d debian ]

check-debian-version: check-debian
	# Does debian version correspond to setup.py version?
	[ "$(DEBCHANGELOG_VERSION)" = "$(SETUPPY_VERSION)" ]

embed-dev-version: check-nodirty
	# change upstream version
	sed -i -e "s/$(SETUPPY_VERSION)/$(DEV_VERSION)/g" setup.py nibabel/__init__.py
	# change package name
	sed -i -e "s/= 'nibabel',/= 'nibabel-snapshot',/g" setup.py

deb-dev-autochangelog: check-debian
	# removed -snapshot from pkg name for now
	$(MAKE) check-debian-version || \
		dch --newversion $(DEV_VERSION)-1 --package nibabel-snapshot \
		 --allow-lower-version "NiBabel development snapshot."

deb-mergedev:
	git merge --no-commit origin/dist/debian/dev

orig-src: distclean distclean
	# clean existing dist dir first to have a single source tarball to process
	-rm -rf dist
	# let python create the source tarball
	$(PYTHON) setup.py sdist --formats=gztar
	# rename to proper Debian orig source tarball and move upwards
	# to keep it out of the Debian diff
	tbname=$$(basename $$(ls -1 dist/*tar.gz)) ; ln -s $${tbname} ../nibabel-snapshot_$(DEV_VERSION).orig.tar.gz
	mv dist/*tar.gz ..
	# clean leftover
	rm MANIFEST

devel-src: check-nodirty
	-rm -rf dist
	git clone -l . dist/nibabel-snapshot
	RELEASE_VERSION=$(DEV_VERSION) \
	  $(MAKE) -C dist/nibabel-snapshot -f ../../Makefile embed-dev-version orig-src
	mv dist/*tar.gz ..
	rm -rf dist

devel-dsc: check-nodirty
	-rm -rf dist
	git clone -l . dist/nibabel-snapshot
	RELEASE_VERSION=$(DEV_VERSION) \
	  $(MAKE) -C dist/nibabel-snapshot -f ../../Makefile embed-dev-version orig-src deb-mergedev deb-dev-autochangelog
	# create the dsc -- NOT using deb-src since it would clean the hell first
	cd dist && dpkg-source -i'\.(gbp.conf|git\.*)' -b nibabel-snapshot
	mv dist/*.gz dist/*dsc ..
	rm -rf dist

# make Debian source package
# # DO NOT depend on orig-src here as it would generate a source tarball in a
# Debian branch and might miss patches!
deb-src: check-debian distclean
	cd .. && dpkg-source -i'\.(gbp.conf|git\.*)' -b $(CURDIR)


bdist_rpm:
	$(PYTHON) setup.py bdist_rpm \
	  --doc-files "doc" \
	  --packager "nibabel authors <pkg-exppsy-pynifti@lists.alioth.debian.org>" \
	  --vendor "nibabel authors <pkg-exppsy-pynifti@lists.alioth.debian.org>"


# build MacOS installer -- depends on patched bdist_mpkg for Leopard
bdist_mpkg:
	$(PYTHON) tools/mpkg_wrapper.py setup.py install


# Print out info for possible install methods
check-version-info:
	$(PYTHON) -c 'from nisext.testers import info_from_here; info_from_here("nibabel")'

# Run tests from installed code
installed-tests:
	$(PYTHON) -c 'from nisext.testers import tests_installed; tests_installed("nibabel")'

# Run tests from installed code
sdist-tests:
	$(PYTHON) -c 'from nisext.testers import sdist_tests; sdist_tests("nibabel")'

# Update nisext subtree from remote
update-nisext:
	git fetch nisext
	git merge --squash -s subtree --no-commit nisext/master

.PHONY: orig-src pylint

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =


# Internal variables.
BUILDROOT       = ../build
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDROOT)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
	@echo "  gitwash-update update git workflow from source repo"

clean:
	-rm -rf $(BUILDROOT)/*
	-rm -rf source/generated generate-stamp

generate: generate-stamp
generate-stamp:
	mkdir -p $(BUILDROOT)
	PYTHONPATH=$(CURDIR)/sphinxext:$(CURDIR)/..:$(PYTHONPATH) \
		python sphinxext/autosummary/generate.py \
		-t sphinxext/autosummary/templates -o source/generated source/*.rst
	@touch $@

html: generate
	mkdir -p $(BUILDROOT)/html $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDROOT)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDROOT)/html."

pickle:
	mkdir -p $(BUILDROOT)/pickle $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDROOT)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web $(BUILDROOT)/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p $(BUILDROOT)/htmlhelp $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDROOT)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDROOT)/htmlhelp."

latex:
	mkdir -p $(BUILDROOT)/latex $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDROOT)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDROOT)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p $(BUILDROOT)/changes $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDROOT)/changes
	@echo
	@echo "The overview file is in $(BUILDROOT)/changes."

linkcheck:
	mkdir -p $(BUILDROOT)/linkcheck $(BUILDROOT)/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDROOT)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDROOT)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDROOT)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

gitwash-update:
	python ../tools/gitwash_dumper.py source nibabel --github-user=nipy

=== debian/changelog ===
nibabel (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #600275).

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 15 Oct 2010 08:20:14 -0400

=== debian/control ===
Source: nibabel
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.2.18), python-all (>= 2.5), python-support (>= 0.6), python-numpy (>= 1.2), python-nose, python-scipy, help2man, python-sphinx
Standards-Version: 3.9.1
Homepage: http://nipy.sourceforge.net/nibabel
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pynifti.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynifti.git
DM-Upload-Allowed: yes
XS-Python-Version: >= 2.5

Package: python-nibabel
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy
Recommends: python-dicom
Suggests: python-nibabel-doc
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings to various neuroimaging data formats
 This package provides read and write access to some common medical and
 neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
 NIfTI1, MINC, as well as PAR/REC. The various image format classes give full
 or selective access to header (meta) information and access to the image data
 is made available via NumPy arrays.  NiBabel is the successor of PyNIfTI.
 .
 This package also provides a commandline tool for conversion of PAR/REC to
 NIfTI images.

Package: python-nibabel-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Description: documentation for NiBabel
 NiBabel provides read and write access to some common medical and
 neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
 NIfTI1, MINC, as well as PAR/REC. The various image format classes give full
 or selective access to header (meta) information and access to the image data
 is made available via NumPy arrays.  NiBabel is the successor of PyNIfTI.
 .
 This package provides the documentation in HTML format.

## nibabel 1.1.0

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 PYVER := $(shell $(PYTHON) -V 2>&1 | cut -d ' ' -f 2,2 | cut -d '.' -f 1,2)
 DISTUTILS_PLATFORM := \
 	$(shell \
-		$(PYTHON) -c "import distutils.util; print distutils.util.get_platform()")
+		$(PYTHON) -c "import distutils.util; print(distutils.util.get_platform())")
 
 # Helpers for version handling.
 # Note: can't be ':='-ed since location of invocation might vary
@@ -66,6 +66,7 @@
 		 -o -iname '#*#' | xargs -L10 rm -f
 	-rm -r dist
 	-rm build-stamp
+	-rm -r .tox
 #	-rm tests/data/*.hdr.* tests/data/*.img.* tests/data/something.nii \
 #		tests/data/noise* tests/data/None.nii
 
@@ -222,8 +223,8 @@
 bdist_rpm:
 	$(PYTHON) setup.py bdist_rpm \
 	  --doc-files "doc" \
-	  --packager "nibabel authors <pkg-exppsy-pynifti@lists.alioth.debian.org>" \
-	  --vendor "nibabel authors <pkg-exppsy-pynifti@lists.alioth.debian.org>"
+	  --packager "nibabel authors <http://mail.scipy.org/mailman/listinfo/nipy-devel>"
+	  --vendor "nibabel authors <http://mail.scipy.org/mailman/listinfo/nipy-devel>"
 
 
 # build MacOS installer -- depends on patched bdist_mpkg for Leopard
@@ -243,10 +244,31 @@
 sdist-tests:
 	$(PYTHON) -c 'from nisext.testers import sdist_tests; sdist_tests("nibabel")'
 
-# Update nisext subtree from remote
-update-nisext:
-	git fetch nisext
-	git merge --squash -s subtree --no-commit nisext/master
+bdist-egg-tests:
+	$(PYTHON) -c 'from nisext.testers import bdist_egg_tests; bdist_egg_tests("nibabel")'
+
+source-release: distclean
+	python -m compileall .
+	make distclean
+	python setup.py sdist --formats=gztar,zip
+
+venv-tests:
+	# I use this for python2.5 because the sdist-tests target doesn't work
+	# (the tester routine uses a 2.6 feature)
+	make distclean
+	- rm -rf $(VIRTUAL_ENV)/lib/python$(PYVER)/site-packages/nibabel
+	python setup.py install
+	cd .. && nosetests $(VIRTUAL_ENV)/lib/python$(PYVER)/site-packages/nibabel
+
+tox-fresh:
+	# tox tests with fresh-installed virtualenvs.  Needs network.  And
+	# pytox, obviously.
+	tox -c tox.ini
+
+tox-stale:
+	# tox tests with MB's already-installed virtualenvs (numpy and nose
+	# installed)
+	tox -e python25,python26,python27,python32,np-1.2.1
 
 .PHONY: orig-src pylint

=== debian/changelog ===
nibabel (1.1.0-1) unstable; urgency=low

  * New upstream release: better gifti and trackvis support, bugfixes.

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 May 2011 16:44:55 -0400

nibabel (1.0.2-1) unstable; urgency=low

  * Fresh bugfix upstream release
  * debian/copyright:
    - changes to confirm to DEP5 rev 174
    - added myself
    - updated years
  * debian/control:
    - boosted policy compliance to 3.9.2 (no changes)
    - purged DM-Upload-Allowed (no need any more)
    - slight tune up of the long description

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 28 Apr 2011 10:27:22 -0400

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.2.18), python-all (>= 2.5), python-support (>= 0.6), python-numpy (>= 1.2), python-nose, python-scipy, help2man, python-sphinx
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://nipy.sourceforge.net/nibabel
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pynifti.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynifti.git
-DM-Upload-Allowed: yes
 XS-Python-Version: >= 2.5
 
 Package: python-nibabel
@@ -19,7 +18,7 @@
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Python bindings to various neuroimaging data formats
- This package provides read and write access to some common medical and
+ NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
  NIfTI1, MINC, as well as PAR/REC. The various image format classes give full
  or selective access to header (meta) information and access to the image data

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# one ring to rule them all ...
%:
# need to enforce distutils, since we also have a makefile
	dh $@ --buildsystem=python_distutils --builddirectory=build

override_dh_auto_build:
	dh_auto_build
	# and docs
	$(MAKE) htmldoc
	# but remove jquery copy (later on link to Debian's version)
	-rm build/html/_static/jquery.js
	# objects inventory is of no use for the package
	-rm build/html/objects.inv
	# also doc source files only consume space
	-rm -r build/html/_sources

# enable when we believe that the tests should pass
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for buildver in $(shell pyversions -vr); do \
		echo "I: Running NiBabel unittests using python$$buildver"; \
		$(MAKE) unittest PYTHON=python$$buildver || exit 1 ;\
	done
endif

## immediately useable documentation
## and exemplar data (they are small excerpts anyway)
override_dh_compress:
	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.par -X.bin

override_dh_installman:
	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
		-n 'convert PARREC image to NIfTI' bin/parrec2nii > build/parrec2nii.1
	dh_installman build/parrec2nii.1

override_dh_clean:
	$(MAKE) clean
	dh_clean

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="filenamemangle=s/.*\/(.*)/nibabel-$1\.tar\.gz/" \
  http://github.com/nipy/nibabel/downloads .*tarball/([\d\.a-z]+)

## nibabel 1.2.2

=== Makefile ===
--- 
+++ 
@@ -94,8 +94,7 @@
 	@PYTHONPATH=.:$(PYTHONPATH) $(NOSETESTS) nibabel --with-doctest
 
 testmanual: build
-# go into data, because docs assume now data dir
-	@PYTHONPATH=.:$(PYTHONPATH) $(NOSETESTS) --with-doctest --doctest-extension=.rst doc/source/ doc/source/usecases
+	@cd doc/source && PYTHONPATH=../..:$(PYTHONPATH) $(NOSETESTS) --with-doctest --doctest-extension=.rst . dicom
 
 
 coverage: build
@@ -107,17 +106,16 @@
 #
 
 htmldoc: build
-	cd $(DOCSRC_DIR) && PYTHONPATH=$(CURDIR) $(MAKE) html
+	cd $(DOCSRC_DIR) && PYTHONPATH=$(CURDIR):$(PYTHONPATH) $(MAKE) html
 
 
 pdfdoc: build
-	cd $(DOCSRC_DIR) && PYTHONPATH=$(CURDIR) $(MAKE) latex
+	cd $(DOCSRC_DIR) && PYTHONPATH=$(CURDIR):$(PYTHONPATH) $(MAKE) latex
 	cd $(LATEX_DIR) && $(MAKE) all-pdf
 
 
 gitwash-update: build
-	cd $(DOCSRC_DIR) && PYTHONPATH=$(CURDIR) $(MAKE) gitwash-update
-
+	cd $(DOCSRC_DIR) && PYTHONPATH=$(CURDIR):$(PYTHONPATH) $(MAKE) gitwash-update
 
 #
 # Website
@@ -231,6 +229,9 @@
 bdist_mpkg:
 	$(PYTHON) tools/mpkg_wrapper.py setup.py install
 
+# Check for files not installed
+check-files:
+	$(PYTHON) -c 'from nisext.testers import check_files; check_files("nibabel")'
 
 # Print out info for possible install methods
 check-version-info:

=== doc/Makefile ===
--- 
+++ 
@@ -87,5 +87,7 @@
 	      "results in _build/doctest/output.txt."
 
 gitwash-update:
-	python ../tools/gitwash_dumper.py source nibabel --github-user=nipy 
+	python ../tools/gitwash_dumper.py source nibabel --github-user=nipy \
+		--project-url=http://nipy.org/nibabel \
+		--project-ml-url=http://mail.scipy.org/mailman/listinfo/nipy-devel

=== debian/changelog ===
nibabel (1.2.2-1) unstable; urgency=low

  * New upstream bugfix release
    - addresses import and test failures on power7 (powerpc) causing FTBFS of
      nipy.

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 27 Jun 2012 14:52:08 -0400

nibabel (1.2.1-1) unstable; urgency=low

  * New upstream bugfix release
    - new tools (nib-dicomfs, nib-nifti-dx)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 14 Jun 2012 00:15:09 -0400

nibabel (1.2.0-1) unstable; urgency=low

  * New upstream release: bugfixes, support for new formats
    (Freesurfer, ECAT, etc), nib-ls tool.
  * debian/copyright
    - corrected reference to the format specs
    - points to github's repository as the origin of sources
    - removed lightunit license/copyright -- removed upstream
    - added netcdf module license/copyright terms
  * debian/control
    - added python-fuse to Recommends and Build-Depends for dicomfs
    - boosted policy compliance to 3.9.3 (no further changes)
  * debian/watch
    - adjusted to download numbered tag

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 06 May 2012 12:58:22 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.2.18), python-all (>= 2.5), python-support (>= 0.6), python-numpy (>= 1.2), python-nose, python-scipy, help2man, python-sphinx
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.2.18), python-all (>= 2.5), python-support (>= 0.6), python-numpy (>= 1.2), python-nose, python-scipy, help2man, python-sphinx, python-fuse
+Standards-Version: 3.9.3
 Homepage: http://nipy.sourceforge.net/nibabel
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pynifti.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynifti.git
@@ -13,7 +13,7 @@
 Package: python-nibabel
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy
-Recommends: python-dicom
+Recommends: python-dicom, python-fuse
 Suggests: python-nibabel-doc
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
@@ -24,8 +24,12 @@
  or selective access to header (meta) information and access to the image data
  is made available via NumPy arrays.  NiBabel is the successor of PyNIfTI.
  .
- This package also provides a commandline tool for conversion of PAR/REC to
- NIfTI images.
+ This package also provides a commandline tools:
+ .
+  - dicomfs - FUSE filesystem on top of a directory with DICOMs
+  - nib-ls - 'ls' for neuroimaging files
+  - parrec2nii - for conversion of PAR/REC to NIfTI images
+
 
 Package: python-nibabel-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,14 @@
 override_dh_installman:
 	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
 		-n 'convert PARREC image to NIfTI' bin/parrec2nii > build/parrec2nii.1
-	dh_installman build/parrec2nii.1
+	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
+		-n 'FUSE filesystem on top of a directory with DICOMs' bin/nib-dicomfs > build/nib-dicomfs.1
+	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
+		-n "'ls' for neuroimaging files" bin/nib-ls > build/nib-ls.1
+	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
+		-n "header diagnostic tool" bin/nib-nifti-dx > build/nib-nifti-dx.1
+
+	dh_installman build/*.1
 
 override_dh_clean:
 	$(MAKE) clean

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="filenamemangle=s/.*\/(.*)/nibabel-$1\.tar\.gz/" \
  http://github.com/nipy/nibabel/tags .*tarball/(\d[\d\.a-z]+)

## nibabel 1.3.0

=== debian/changelog ===
nibabel (1.3.0-2) sid; urgency=medium

  * Upload to sid (the freeze is long over ;))
  * debian/control
    - boosted policy to 3.9.5

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 20 Mar 2014 21:08:09 -0400

nibabel (1.3.0-1) experimental; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 11 Sep 2012 18:04:46 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.2.18), python-all (>= 2.5), python-support (>= 0.6), python-numpy (>= 1.2), python-nose, python-scipy, help2man, python-sphinx, python-fuse
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://nipy.sourceforge.net/nibabel
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pynifti.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynifti.git

## nibabel 2.0.1

=== debian/changelog ===
nibabel (2.0.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/rules
    - First install for python3 and then for python2 to get correct
      shebang in nib-ls (Closes: #784697)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 28 Jun 2015 01:06:52 -0400

nibabel (2.0.0-1) experimental; urgency=medium

  * New upstream release with lots of cool new features, which has minor
    API breakage
  * debian/watch
    - fixed up for github
  * debian/control
    - build-depend and depend for -doc package on mathjax.  There is nothing
      else we could do to make sphinx generate docs to use system-wide avail
      mathjax
    - policy boost to 3.9.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 09 Dec 2014 18:42:38 -0500

nibabel (1.3.0+git476-g3ca7b94-1) neurodebian-devel; urgency=medium

  * New snapshot from 1.3.0-466-g27e4feb in preparation to new upstream
    release.
  * debian/control
    - added python-six and python-matplotlib (for documentation) to
      build-depends
  * debian/{control,rules}
    - drop pysupport in favor of dh*_python
    - add python3-nibabel

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 05 Aug 2014 14:08:14 -0400

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,22 @@
 Priority: extra
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.2.18), python-all (>= 2.5), python-support (>= 0.6), python-numpy (>= 1.2), python-nose, python-scipy, help2man, python-sphinx, python-fuse
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 7.2.18),
+               python-all (>= 2.5),  python-numpy (>= 1.2),  python-scipy,  python-nose,  python-six, python-fuse,
+               python3-all,          python3-numpy (>= 1.2), python3-scipy, python3-nose, python3-six,
+               help2man, python-sphinx, python-matplotlib, libjs-mathjax,
+Standards-Version: 3.9.6
 Homepage: http://nipy.sourceforge.net/nibabel
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pynifti.git
-Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynifti.git
-XS-Python-Version: >= 2.5
+Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynifti.git -b dist/debian/proper
+X-Python-Version: >= 2.5
+X-Python3-Version: >= 3.2
 
 Package: python-nibabel
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy
 Recommends: python-dicom, python-fuse
 Suggests: python-nibabel-doc
-Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
 Description: Python bindings to various neuroimaging data formats
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
@@ -30,11 +32,22 @@
   - nib-ls - 'ls' for neuroimaging files
   - parrec2nii - for conversion of PAR/REC to NIfTI images
 
+Package: python3-nibabel
+Architecture: all
+Depends: ${misc:Depends}, ${python:Depends}, python3-numpy, python3-scipy
+Suggests: python-nibabel-doc, python3-dicom, python3-fuse
+Description: Python3 bindings to various neuroimaging data formats
+ NiBabel provides read and write access to some common medical and
+ neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
+ NIfTI1, MINC, as well as PAR/REC. The various image format classes give full
+ or selective access to header (meta) information and access to the image data
+ is made available via NumPy arrays.  NiBabel is the successor of PyNIfTI.
+
 
 Package: python-nibabel-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery, libjs-mathjax
 Description: documentation for NiBabel
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,15 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
+
+PYVERS = $(shell pyversions -vr)
+PYVER = $(shell pyversions -vd)
+PY3VERS = $(shell py3versions -vr)
+PY3VER = $(shell py3versions -vd)
 
 # one ring to rule them all ...
 %:
 # need to enforce distutils, since we also have a makefile
-	dh $@ --buildsystem=python_distutils --builddirectory=build
+	dh $@ --buildsystem=python_distutils --builddirectory=build --with=python2,python3
 
 override_dh_auto_build:
 	dh_auto_build
@@ -17,13 +22,17 @@
 	# also doc source files only consume space
 	-rm -r build/html/_sources
 
+override_dh_auto_install: ${PY3VERS:%=python-install%} ${PYVERS:%=python-install%} 
+python-install%:
+	python$* setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
+
 # enable when we believe that the tests should pass
-override_dh_auto_test:
+override_dh_auto_test: ${PYVERS:%=python-test%} ${PY3VERS:%=python-test%}
+
+python-test%:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	for buildver in $(shell pyversions -vr); do \
-		echo "I: Running NiBabel unittests using python$$buildver"; \
-		$(MAKE) unittest PYTHON=python$$buildver || exit 1 ;\
-	done
+	@echo "I: Running NiBabel unittests using python$*"
+	$(MAKE) unittest PYTHON=python$*
 endif
 
 ## immediately useable documentation

## nibabel 2.0.2

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,11 @@
 LATEX_DIR=build/latex
 WWW_DIR=build/website
 DOCSRC_DIR=doc
-SF_USER ?= matthewbrett
+PROJECT=nibabel
 #
 # The Python executable to be used
 #
-PYTHON = python
+PYTHON ?= python
 NOSETESTS = $(PYTHON) $(shell which nosetests)
 
 #
@@ -121,23 +121,23 @@
 # Website
 #
 
-website: website-stamp
-website-stamp: $(WWW_DIR) htmldoc pdfdoc
+html: html-stamp
+html-stamp: $(WWW_DIR) htmldoc
 	cp -r $(HTML_DIR)/* $(WWW_DIR)
+	touch $@
+
+pdf: pdf-stamp
+pdf-stamp: $(WWW_DIR) pdfdoc
 	cp $(LATEX_DIR)/*.pdf $(WWW_DIR)
 	touch $@
 
-
-upload-website: website
-	rsync -rzhvp --delete --chmod=Dg+s,g+rw $(WWW_DIR)/* \
-		web.sourceforge.net:/home/groups/n/ni/niftilib/htdocs/nibabel/
-
-# This one udates for the specific user named at the top of the makefile
-upload-htmldoc: htmldoc upload-htmldoc-$(SF_USER)
-
-upload-htmldoc-%: htmldoc
-	rsync -rzhvp --delete --chmod=Dg+s,g+rw $(HTML_DIR)/* \
-		$*,nipy@web.sourceforge.net:/home/groups/n/ni/nipy/htdocs/nibabel/
+website: website-stamp
+website-stamp: $(WWW_DIR) html-stamp pdf-stamp
+	cp -r $(HTML_DIR)/* $(WWW_DIR)
+	touch $@
+
+upload-html: html-stamp
+	./tools/upload-gh-pages.sh $(WWW_DIR) $(PROJECT)
 
 #
 # Sources
@@ -241,24 +241,34 @@
 installed-tests:
 	$(PYTHON) -c 'from nisext.testers import tests_installed; tests_installed("nibabel")'
 
-# Run tests from installed code
+# Run tests from packaged distributions
 sdist-tests:
-	$(PYTHON) -c 'from nisext.testers import sdist_tests; sdist_tests("nibabel")'
+	$(PYTHON) -c 'from nisext.testers import sdist_tests; sdist_tests("nibabel", doctests=False)'
 
 bdist-egg-tests:
-	$(PYTHON) -c 'from nisext.testers import bdist_egg_tests; bdist_egg_tests("nibabel")'
+	$(PYTHON) -c 'from nisext.testers import bdist_egg_tests; bdist_egg_tests("nibabel", doctests=False, label="not script_test")'
+
+sdist-venv: clean
+	rm -rf dist venv
+	unset PYTHONPATH && $(PYTHON) setup.py sdist --formats=zip
+	virtualenv --system-site-packages --python=$(PYTHON) venv
+	. venv/bin/activate && pip install --ignore-installed nose
+	mkdir venv/tmp
+	cd venv/tmp && unzip ../../dist/*.zip
+	. venv/bin/activate && cd venv/tmp/nibabel* && python setup.py install
+	unset PYTHONPATH && . venv/bin/activate && cd venv && nosetests --with-doctest nibabel nisext
 
 source-release: distclean
-	python -m compileall .
+	$(PYTHON) -m compileall .
 	make distclean
-	python setup.py sdist --formats=gztar,zip
+	$(PYTHON) setup.py sdist --formats=gztar,zip
 
 venv-tests:
 	# I use this for python2.5 because the sdist-tests target doesn't work
 	# (the tester routine uses a 2.6 feature)
 	make distclean
 	- rm -rf $(VIRTUAL_ENV)/lib/python$(PYVER)/site-packages/nibabel
-	python setup.py install
+	$(PYTHON) setup.py install
 	cd .. && nosetests $(VIRTUAL_ENV)/lib/python$(PYVER)/site-packages/nibabel
 
 tox-fresh:
@@ -271,5 +281,8 @@
 	# installed)
 	tox -e python25,python26,python27,python32,np-1.2.1
 
+refresh-readme:
+	$(PYTHON) tools/refresh_readme.py
+
 .PHONY: orig-src pylint

=== requirements.txt ===
numpy>=1.5.1

=== doc/Makefile ===
--- 
+++ 
@@ -12,11 +12,15 @@
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDROOT)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+
+# API generation
+API_DIR = source/reference
 .PHONY: help clean html web pickle htmlhelp latex changes linkcheck
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
 	@echo "  html      to make standalone HTML files"
+	@echo "  api       to make the auto-generated API files"
 	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
 	@echo "  htmlhelp  to make HTML files and a HTML help project"
 	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
@@ -25,23 +29,27 @@
 	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
 	@echo "  gitwash-update update git workflow from source repo"
 
-clean:
+clean: api-clean
 	-rm -rf $(BUILDROOT)/*
-	-rm -rf source/generated generate-stamp
+	-rm *-stamp
 
-generate: generate-stamp
-generate-stamp:
-	mkdir -p $(BUILDROOT)
-	PYTHONPATH=$(CURDIR)/sphinxext:$(CURDIR)/..:$(PYTHONPATH) \
-		python sphinxext/autosummary/generate.py \
-		-t sphinxext/autosummary/templates -o source/generated source/*.rst
+api-clean:
+	rm -rf $(API_DIR)/*.rst
+
+api: api-stamp
+api-stamp:
+	@mkdir -p $(API_DIR)
+	$(PYTHON) tools/build_modref_templates.py nibabel $(API_DIR) False
+	@echo "Build API docs...done."
 	@touch $@
 
-html: generate
+html-only:
 	mkdir -p $(BUILDROOT)/html $(BUILDROOT)/doctrees
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDROOT)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDROOT)/html."
+
+html: api-stamp html-only
 
 pickle:
 	mkdir -p $(BUILDROOT)/pickle $(BUILDROOT)/doctrees
@@ -81,7 +89,7 @@
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in $(BUILDROOT)/linkcheck/output.txt."
 
-doctest:
+doctest: api-clean
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDROOT)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in _build/doctest/output.txt."
@@ -89,5 +97,5 @@
 gitwash-update:
 	python ../tools/gitwash_dumper.py source nibabel --github-user=nipy \
 		--project-url=http://nipy.org/nibabel \
-		--project-ml-url=http://mail.scipy.org/mailman/listinfo/nipy-devel
+		--project-ml-url=https://mail.python.org/mailman/listinfo/neuroimaging

=== debian/changelog ===
nibabel (2.0.2-2) unstable; urgency=medium

  * debian/tests/control: needs python3-nibabel for testing itself

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 30 Nov 2015 09:28:09 -0500

nibabel (2.0.2-1) unstable; urgency=medium

  * Fresh upstream bugfix release
  * debian/tests - provided ADT tests based on RFed to be used without
    modifications runner from patsy

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 23 Nov 2015 19:17:48 -0500

nibabel (2.0.1-3) unstable; urgency=medium

  * debian/patches
    - changeset_ea65e90a97fc8c9929b6a93d6c5657111489573b.diff
      cherry-picked from upstream to resolve issues with Python 3.5 doctest
      machinery which lead to FTBFS whenever optional pydicom wasn't avail
      (Closes: #802408)
    - deb_localmathjax
      to use locally available mathjax

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 02 Nov 2015 11:08:23 -0500

nibabel (2.0.1-2) unstable; urgency=medium

  * Remove installed scripts before running install again.  Should
    really close #784697

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 24 Aug 2015 21:40:38 -0400

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynifti.git -b dist/debian/proper
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
+XS-Testsuite: autopkgtest
 
 Package: python-nibabel
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,8 @@
 
 override_dh_auto_install: ${PY3VERS:%=python-install%} ${PYVERS:%=python-install%} 
 python-install%:
+	: # Remove those possibly installed scripts with incorrect shebangs
+	rm -f $(CURDIR)/debian/tmp/usr/bin/*
 	python$* setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
 
 # enable when we believe that the tests should pass

=== debian/tests/control ===
Tests: nosetests2
Depends: python-all,  python-nose,  python-numpy,  python-scipy,  python-six,  python-nibabel

Tests: nosetests3
Depends: python3-all, python3-nose, python3-numpy, python3-scipy, python3-six, python3-nibabel

## nibabel 2.1.0

=== Makefile ===
--- 
+++ 
@@ -221,8 +221,8 @@
 bdist_rpm:
 	$(PYTHON) setup.py bdist_rpm \
 	  --doc-files "doc" \
-	  --packager "nibabel authors <http://mail.scipy.org/mailman/listinfo/nipy-devel>"
-	  --vendor "nibabel authors <http://mail.scipy.org/mailman/listinfo/nipy-devel>"
+	  --packager "nibabel authors <http://mail.python.org/mailman/listinfo/neuroimaging>"
+	  --vendor "nibabel authors <http://mail.python.org/mailman/listinfo/neuroimaging>"
 
 
 # build MacOS installer -- depends on patched bdist_mpkg for Leopard
@@ -284,5 +284,8 @@
 refresh-readme:
 	$(PYTHON) tools/refresh_readme.py
 
+rm-orig:
+	# Remove .orig temporary diff files generated by git
+	find . -name "*.orig" -print | grep -v "fsaverage" | xargs rm
+
 .PHONY: orig-src pylint
-

=== requirements.txt ===
# Minumum requirements
#
# Check these against
#   nibabel/info.py
#   .travis.yml
#   doc/source/installation.rst

numpy>=1.5.1

=== debian/changelog ===
nibabel (2.1.0-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - python-numpydoc into build-depends
    - boosted policy to 3.9.8
    - python{,3}-mock to Build-Depends/Recommends for tests
  * debian/rules
    - use installed scripts (with corrected shebang) while generating manpages
    - export MPLCONFIGDIR to point to writable local directory

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 26 Aug 2016 22:41:53 -0400

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,12 @@
 PYVER = $(shell pyversions -vd)
 PY3VERS = $(shell py3versions -vr)
 PY3VER = $(shell py3versions -vd)
+
+BINDIR=$(CURDIR)/debian/tmp/usr/bin/
+
+# Setting MPLCONFIGDIR to please matplotlib demanding writable HOME
+# on older systems (e.g. 12.04)
+export MPLCONFIGDIR=$(CURDIR)/build
 
 # one ring to rule them all ...
 %:
@@ -44,13 +50,13 @@
 
 override_dh_installman:
 	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
-		-n 'convert PARREC image to NIfTI' bin/parrec2nii > build/parrec2nii.1
+		-n 'convert PARREC image to NIfTI' $(BINDIR)/parrec2nii > build/parrec2nii.1
 	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
-		-n 'FUSE filesystem on top of a directory with DICOMs' bin/nib-dicomfs > build/nib-dicomfs.1
+		-n 'FUSE filesystem on top of a directory with DICOMs' $(BINDIR)/nib-dicomfs > build/nib-dicomfs.1
 	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
-		-n "'ls' for neuroimaging files" bin/nib-ls > build/nib-ls.1
+		-n "'ls' for neuroimaging files" $(BINDIR)/nib-ls > build/nib-ls.1
 	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
-		-n "header diagnostic tool" bin/nib-nifti-dx > build/nib-nifti-dx.1
+		-n "header diagnostic tool" $(BINDIR)/nib-nifti-dx > build/nib-nifti-dx.1
 
 	dh_installman build/*.1

## nibabel 2.2.1

=== requirements.txt ===
--- 
+++ 
@@ -5,4 +5,5 @@
 #   .travis.yml
 #   doc/source/installation.rst
 
-numpy>=1.5.1
+six>=1.3
+numpy>=1.7.1

=== debian/changelog ===
nibabel (2.2.1-1) unstable; urgency=medium

  * Fresh upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 22 Nov 2017 23:01:06 -0500

nibabel (2.2.0+git11-g2139ce0d-1) unstable; urgency=medium

  * New upstream snapshot from 2.2.0-11-g2139ce0d
    - closes some outstanding issues and compatibility problems (Closes:
      #880234)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 Nov 2017 16:43:21 -0500

nibabel (2.2.0-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 Oct 2017 20:26:14 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
                python-all (>= 2.5),  python-numpy (>= 1.2),  python-scipy,  python-nose,  python-six, python-fuse,
                python3-all,          python3-numpy (>= 1.2), python3-scipy, python3-nose, python3-six,
                help2man, python-sphinx, python-matplotlib, libjs-mathjax,
-Standards-Version: 3.9.6
+               python-mock, python3-mock,
+               python-numpydoc
+Standards-Version: 3.9.8
 Homepage: http://nipy.sourceforge.net/nibabel
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pynifti.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynifti.git -b dist/debian/proper
@@ -18,7 +20,7 @@
 Package: python-nibabel
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy
-Recommends: python-dicom, python-fuse
+Recommends: python-dicom, python-fuse, python-mock
 Suggests: python-nibabel-doc
 Description: Python bindings to various neuroimaging data formats
  NiBabel provides read and write access to some common medical and
@@ -36,7 +38,7 @@
 Package: python3-nibabel
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python3-numpy, python3-scipy
-Suggests: python-nibabel-doc, python3-dicom, python3-fuse
+Suggests: python-nibabel-doc, python3-dicom, python3-fuse, python3-mock
 Description: Python3 bindings to various neuroimaging data formats
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/nibabel-$1.tar.gz/ \
  https://github.com/nipy/nibabel/tags .*/v?(\d[\d\.]+)\.tar\.gz

## nibabel 2.3.0

=== debian/changelog ===
nibabel (2.3.0-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Jun 2018 08:45:41 -0700

nibabel (2.3.0~a1+git235-gc644d808-1) neurodebian-devel; urgency=medium

  * New upstream snapshot from 2.2.1-235-gc644d808 (pre-2.3.0 release)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Jun 2018 09:01:13 -0400

nibabel (2.2.1-2) unstable; urgency=medium

  * debian/control
    - Explicitly depend on python{,3}-six module (Closes: #896275)
    - Adjusted VCS- fields to point to salsa
    - Boosted debhelper compat to 9
    - use python3:Depends for python3- pkg

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 23 Apr 2018 20:35:21 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.2.18),
+Build-Depends: debhelper (>= 9~),
                python-all (>= 2.5),  python-numpy (>= 1.2),  python-scipy,  python-nose,  python-six, python-fuse,
                python3-all,          python3-numpy (>= 1.2), python3-scipy, python3-nose, python3-six,
                help2man, python-sphinx, python-matplotlib, libjs-mathjax,
@@ -11,15 +11,15 @@
                python-numpydoc
 Standards-Version: 3.9.8
 Homepage: http://nipy.sourceforge.net/nibabel
-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pynifti.git
-Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynifti.git -b dist/debian/proper
+Vcs-Browser: https://salsa.debian.org/neurodebian-team/pynifti
+Vcs-Git: https://salsa.debian.org/neurodebian-team/pynifti.git -b dist/debian/proper
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 XS-Testsuite: autopkgtest
 
 Package: python-nibabel
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy
+Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-six
 Recommends: python-dicom, python-fuse, python-mock
 Suggests: python-nibabel-doc
 Description: Python bindings to various neuroimaging data formats
@@ -37,7 +37,7 @@
 
 Package: python3-nibabel
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-numpy, python3-scipy
+Depends: ${misc:Depends}, ${python3:Depends}, python3-numpy, python3-scipy, python3-six
 Suggests: python-nibabel-doc, python3-dicom, python3-fuse, python3-mock
 Description: Python3 bindings to various neuroimaging data formats
  NiBabel provides read and write access to some common medical and

## nibabel 2.3.1

=== debian/changelog ===
nibabel (2.3.1-1~nd14.04+1) trusty; urgency=medium

  * Backported for trusty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 18 Oct 2018 00:41:17 -0400

nibabel (2.3.1-1) unstable; urgency=medium

  * Fresh upstream release
    - should address failures in examples (Closes: #909990)
  * debian/control
    * unify Suggests and Recommends between python{3,}-nibabel pkgs:
      - docs and test helpers are in Suggests, the rest in Recommends  

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 17 Oct 2018 23:45:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nibabel
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 9~),
                python-all (>= 2.5),  python-numpy (>= 1.2),  python-scipy,  python-nose,  python-six, python-fuse,
@@ -19,9 +20,9 @@
 
 Package: python-nibabel
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-six
-Recommends: python-dicom, python-fuse, python-mock
-Suggests: python-nibabel-doc
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-six
+Recommends: python-dicom, python-fuse
+Suggests: python-nibabel-doc, python-mock,
 Description: Python bindings to various neuroimaging data formats
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
@@ -37,8 +38,9 @@
 
 Package: python3-nibabel
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-numpy, python3-scipy, python3-six
-Suggests: python-nibabel-doc, python3-dicom, python3-fuse, python3-mock
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}, python3-numpy, python3-scipy, python3-six
+Recommends: python3-dicom, python3-fuse,
+Suggests: python-nibabel-doc, python3-mock,
 Description: Python3 bindings to various neuroimaging data formats
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
@@ -50,7 +52,7 @@
 Package: python-nibabel-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery, libjs-mathjax
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery, libjs-mathjax
 Description: documentation for NiBabel
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
